Skip to navigation

Get Store

Beta
This endpoint allows you to retrieve details for a specific store on a specific account under your franchise. You can also poll this endpoint to confirm if a store has completed provisioning.

Authentication

X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring

An OAuth token generated from the franchise API account.

To authenticate, generate an OAuth Token (if you donʼt have one or itʼs expired):

POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token
Accept: application/json
X-Auth-Client: {client_id}
X-Auth-Secret: {client_secret}

{
  "duration": 900
}

Response:

{
  "access_token": "dlkJcn34...Lkd012",
  "expires_at": "2018-04-24T16:15:26.509045122Z”
}

After you generate an OAuth token, use the client_id and oauth_token to authenticate all other API requests:

GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123
Accept: application/json
X-Auth-Client: {client_id}
X-Auth-Token: {oauth_token}

Response:

{
  "data": {
    "id": "12345678910",
    "name": "Test Company",
    ...
  },
  "meta": {}
}

Path parameters

store_idstringRequired
The ID of the store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

Success

If a “Create Store” request was successfully received, the store - in any status - will be returned with a 200 response code, along the store’s status and settings.

Merchant’s can access their store once the status is “active”. At this point, an email for account verification should have been received by them.

Provisioning store example (not ready for login):

{
    "data": {
        "id": "1520270098436",
        "status": "provisioning",
        "plan_sku": "STORE-TRIAL-15DAY",
        "store_name": "Pflugerville Coop"
          "country": "US",
        "account_id": "e818f592-5b73-4ba8-b14c-fc9d8cfb1453",
        "store_launched": false
    },
    "meta": {}
}

Allocating store example (not ready for login):

{
    "data": {
        "id": "1520270098436",
        "status": "allocating",
        "plan_sku": "STORE-TRIAL-15DAY",
        "store_name": "Pflugerville Coop"
        "store_hash": "lhv58otl0w",
        "primary_hostname": "pflugerville-coop.store.bcdev",
        "canonical_hostname": "store-lhv58otl0w.store.bcdev",
          "country": "US",
        "expires_at": "2018-03-20T17:17:58Z",
        "account_id": "e818f592-5b73-4ba8-b14c-fc9d8cfb1453",
        "store_launched": false
    },
    "meta": {}
}

Active store example (ready for login):

{
    "data": {
        "id": "1520270098436",
        "status": "active",
        "plan_sku": "STORE-TRIAL-15DAY",
        "store_name": "Pflugerville Coop"
        "store_hash": "lhv58otl0w",
        "primary_hostname": "pflugerville-coop.store.bcdev",
        "canonical_hostname": "store-lhv58otl0w.store.bcdev",
        "country": "US",
        "allocated_at": "2018-03-05T17:18:33Z",
        "expires_at": "2018-03-20T17:17:58Z",
        "account_id": "e818f592-5b73-4ba8-b14c-fc9d8cfb1453",
        "store_launched": false
    },
    "meta": {}
}
dataobjectOptional
metaobjectOptional

Errors

401
Unauthorized Error
404
Not Found Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error